# if you don't have XILHOME set, we look in default place
XIL_INSTALL_PT=/opt/SUNWits/Graphics-sw/xil
# if you don't have O1KHOME set, we look in default place
O1K_INSTALL_PT=/opt/SUNWo1kp

CCFLAGS = -mt -D_REENTRANT -DO1K_ZIPPY \
	 -I$(O1KHOME)/include -I$(O1K_INSTALL_PT)/include \
	 -I$(XILHOME)/include -I$(XIL_INSTALL_PT)/include \
	 -I$(OPENWINHOME)/include \
	 -I/usr/demo/SOUND/include

LIBS =  -L$(O1KHOME)/lib -L$(O1K_INSTALL_PT)/lib \
	-L$(XILHOME)/lib -L$(XIL_INSTALL_PT)/lib \
	-L$(OPENWINHOME)/lib \
	-L/usr/demo/SOUND/lib \
	-R $(O1K_INSTALL_PT)/lib:$(XIL_INSTALL_PT)/lib:/usr/openwin/lib


LIBS += -lotiaudio -laudio -lsocket -lnsl -lxview \
	-lolgx -lxil -lX11 -lintl -ldl -ldga -lm -lXext -lthread

debug_install := CCFLAGS += -g

install: o1k_conf
debug_install: install


OBJS =  cellb_util.o cmap.o dither.o o1k_ab.o o1k_audio.o o1k_conf.o \
	o1k_conf_stubs.o o1k_conf_ui.o o1k_misc.o o1k_network.o \
	o1k_thread.o o1k_timer.o o1k_video.o receive.o transmit.o window.o

CC = CC
o1k_conf: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIBS) 

clean:
	rm -f a.out core o1k_conf *.o

